Bug 517359 - ICE when compiling fairly simple Objective-C program
Summary: ICE when compiling fairly simple Objective-C program
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 15:40 UTC by Eric Hopper
Modified: 2009-08-20 15:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-20 08:40:56 UTC


Attachments (Terms of Use)
This is the preprocessor output for the file I was trying to compile. (39.85 KB, text/plain)
2009-08-13 15:40 UTC, Eric Hopper
no flags Details
Preprocessor output for the working version of the file I was trying to compile (39.86 KB, text/plain)
2009-08-14 18:41 UTC, Eric Hopper
no flags Details

Description Eric Hopper 2009-08-13 15:40:30 UTC
Created attachment 357344 [details]
This is the preprocessor output for the file I was trying to compile.

Description of problem:
gcc aborts with an internal compiler error on a seemingly innocuous line in a simple Objective-C program.

Version-Release number of selected component (if applicable):
gcc-objc-4.4.0-4.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Compile the attached file
  
Actual results:
The compiler aborts in the middle of compilation with an internal compiler error.

Expected results:
The compiler should give me an actual error message about my source code or compile the program successfully.

Comment 1 Eric Hopper 2009-08-14 18:41:36 UTC
Created attachment 357491 [details]
Preprocessor output for the working version of the file I was trying to compile

Silly me, the compiler options I was using turn out to be important.  I should've thought of that right away.  Here is the compiler command line I was using:

gcc -fobjc-gc letterset.m

Also, I've attached a new version of the preprocessor output as I managed to debug the program on an OS X box I have around.  This program will actually work if you can compile it.  It does work without -fobjc-gc on Fedora 11.

Comment 2 Jakub Jelinek 2009-08-20 08:40:56 UTC
-fobjc-gc isn't meant to be used with the GNU runtime, only with the next runtime.  Upstream has a bugreport open requesting an error when trying to use -fobjc-gc with -fgnu-runtime.

Comment 3 Eric Hopper 2009-08-20 15:03:31 UTC
And, as I understand it, Fedora doesn't ship with the Next runtime.  :-(


Note You need to log in before you can comment on or make changes to this bug.